Loading...
Searching...
No Matches
FFRandom Class Reference

generate random elements in F_p More...

`#include <cf_random.h>`

## Public Member Functions

| FFRandom ()
| ~FFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
| FFRandom ()
| ~FFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
| FFRandom ()
| ~FFRandom ()
CanonicalForm | generate () const
CFRandom * | clone () const
Public Member Functions inherited from CFRandom
virtual | ~CFRandom ()
virtual | ~CFRandom ()
virtual | ~CFRandom ()

## Detailed Description

generate random elements in F_p

Definition at line 43 of file cf_random.h.

## Constructor & Destructor Documentation

## FFRandom() [1/3]

FFRandom::FFRandom | ( |  | ) |

inline

Definition at line 46 of file cf_random.h.

{}

## ~FFRandom() [1/3]

FFRandom::~FFRandom | ( |  | ) |

inline

Definition at line 47 of file cf_random.h.

{}

## FFRandom() [2/3]

FFRandom::FFRandom | ( |  | ) |

inline

Definition at line 863 of file factory.h.

{}

## ~FFRandom() [2/3]

FFRandom::~FFRandom | ( |  | ) |

inline

Definition at line 864 of file factory.h.

{}

## FFRandom() [3/3]

FFRandom::FFRandom | ( |  | ) |

inline

Definition at line 863 of file factory.h.

{}

## ~FFRandom() [3/3]

FFRandom::~FFRandom | ( |  | ) |

inline

Definition at line 864 of file factory.h.

{}

## Member Function Documentation

## clone() [1/3]

CFRandom * FFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

Definition at line 70 of file cf_random.cc.

{
return new FFRandom();
}
FFRandom::FFRandom
FFRandom()
Definition cf_random.h:46

## clone() [2/3]

CFRandom * FFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## clone() [3/3]

CFRandom * FFRandom::clone | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## generate() [1/3]

CanonicalForm FFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

Definition at line 65 of file cf_random.cc.

{
return CanonicalForm( int2imm_p( factoryrandom( ff_prime ) ) );
}
ff_prime
VAR int ff_prime
Definition ffops.cc:23
int2imm_p
InternalCF * int2imm_p(long i)
Definition imm.h:101
factoryrandom
int factoryrandom(int n)
random integers with abs less than n
Definition cf_random.cc:177

## generate() [2/3]

CanonicalForm FFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

## generate() [3/3]

CanonicalForm FFRandom::generate | ( |  | ) | const

virtual

Reimplemented from CFRandom.

The documentation for this class was generated from the following files:

- factory/cf_random.h
- factory/factory.h
- factory/include/factory/factory.h
- factory/cf_random.cc